Package gov.nasa.gsfc.sscweb.schema

# Class GraphScale

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GraphScale

public class GraphScale extends Object
Manual scale values for an SSC graphing request. <p>Java class for GraphScale complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GraphScale"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="MinX" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MaxX" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MinY" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MaxY" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MinZ" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MaxZ" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MinR" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MaxR" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `maxR`
  Maximum R value.
  `protected int`
  `maxX`
  Maximum X value.
  `protected int`
  `maxY`
  Maximum Y value.
  `protected int`
  `maxZ`
  Maximum Z value.
  `protected int`
  `minR`
  Minimum R value.
  `protected int`
  `minX`
  Minimum X value.
  `protected int`
  `minY`
  Minimum Y value.
  `protected int`
  `minZ`
  Minimum Z value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphScale()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxR()`
  Maximum R value.
  `int`
  `getMaxX()`
  Maximum X value.
  `int`
  `getMaxY()`
  Maximum Y value.
  `int`
  `getMaxZ()`
  Maximum Z value.
  `int`
  `getMinR()`
  Minimum R value.
  `int`
  `getMinX()`
  Minimum X value.
  `int`
  `getMinY()`
  Minimum Y value.
  `int`
  `getMinZ()`
  Minimum Z value.
  `void`
  `setMaxR(int value)`
  Sets the value of the maxR property.
  `void`
  `setMaxX(int value)`
  Sets the value of the maxX property.
  `void`
  `setMaxY(int value)`
  Sets the value of the maxY property.
  `void`
  `setMaxZ(int value)`
  Sets the value of the maxZ property.
  `void`
  `setMinR(int value)`
  Sets the value of the minR property.
  `void`
  `setMinX(int value)`
  Sets the value of the minX property.
  `void`
  `setMinY(int value)`
  Sets the value of the minY property.
  `void`
  `setMinZ(int value)`
  Sets the value of the minZ property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### minX

    protected int minX
    Minimum X value.

  - ### maxX

    protected int maxX
    Maximum X value.

  - ### minY

    protected int minY
    Minimum Y value.

  - ### maxY

    protected int maxY
    Maximum Y value.

  - ### minZ

    protected int minZ
    Minimum Z value.

  - ### maxZ

    protected int maxZ
    Maximum Z value.

  - ### minR

    protected int minR
    Minimum R value.

  - ### maxR

    protected int maxR
    Maximum R value.

- ## Constructor Details

  - ### GraphScale

    public GraphScale()

- ## Method Details

  - ### getMinX

    public int getMinX()
    Minimum X value.

  - ### setMinX

    public void setMinX(int value)
    Sets the value of the minX property.

  - ### getMaxX

    public int getMaxX()
    Maximum X value.

  - ### setMaxX

    public void setMaxX(int value)
    Sets the value of the maxX property.

  - ### getMinY

    public int getMinY()
    Minimum Y value.

  - ### setMinY

    public void setMinY(int value)
    Sets the value of the minY property.

  - ### getMaxY

    public int getMaxY()
    Maximum Y value.

  - ### setMaxY

    public void setMaxY(int value)
    Sets the value of the maxY property.

  - ### getMinZ

    public int getMinZ()
    Minimum Z value.

  - ### setMinZ

    public void setMinZ(int value)
    Sets the value of the minZ property.

  - ### getMaxZ

    public int getMaxZ()
    Maximum Z value.

  - ### setMaxZ

    public void setMaxZ(int value)
    Sets the value of the maxZ property.

  - ### getMinR

    public int getMinR()
    Minimum R value.

  - ### setMinR

    public void setMinR(int value)
    Sets the value of the minR property.

  - ### getMaxR

    public int getMaxR()
    Maximum R value.

  - ### setMaxR

    public void setMaxR(int value)
    Sets the value of the maxR property.